Subject: Re: weird problem

From: Jarek Poplawski <[email-masked]>
Date: Thu, 16 Jul 2009 13:01:19 +0200

On Wed, Jul 15, 2009 at 10:15:42PM +0200, Paweł Staszewski wrote:
...
> With the same settings and 2.6.28 there was always cpu load from 1% to 3%
> with gc_timeout = 15
...
> So is there some patch or there will be patch that turn off definitely  
> route cache ?
>
>
> For now i use
> gc_timeout = 1  in my routers and all is working fine - there is only 1  
> second of 20% of cpu load after every 20 sec.

I guess, I misunderstood your intention; it looks like there are some
slowdowns in route cache handling vs. 2.6.28, which probably could be
partly tuned up with config parameters or fixed with some patch, but
it needs more testing/debugging, including additional data from 2.6.28
for comparison (I'm not sure if you're using this kernel yet).

But if you think turning off route cache works better for you (btw,
2.6.29.6 lacks at least 2 patches fixing this which 2.6.30.1 has) then
of course we can stop this thread, no problem.

Regards,
Jarek P.